# Uses of Interface
java.lang.classfile.attribute.CharacterRangeTableAttribute

Packages that use CharacterRangeTableAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of CharacterRangeTableAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type CharacterRangeTableAttribute
Modifier and Type
Method
Description
`static AttributeMapper<CharacterRangeTableAttribute>`
Attributes.`characterRangeTable()`
Returns the mapper for the `CharacterRangeTable` attribute.

## Uses of CharacterRangeTableAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type CharacterRangeTableAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`CharacterRangeTableAttribute`
Models the `CharacterRangeTable` attribute, which is a bidirectional mapping from ranges of positions in the source file to ranges of indices into the `code` array.
Methods in java.lang.classfile.attribute that return CharacterRangeTableAttribute
Modifier and Type
Method
Description
`static CharacterRangeTableAttribute`
CharacterRangeTableAttribute.`of(List<CharacterRangeInfo> ranges)`
Returns a `CharacterRangeTable` attribute.